/Users/bernard/b20/bsoft/src/bflat.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bflat.cpp - Solvent flattening.

SYNOPSIS

#include 'rwimg.h'
#include 'symmetry.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Solvent flattening.

Author:
    Bernard Heymann

Date:
    Created: 20041113

    Modified: 20150717

    An implementation based on the method proposed in:
    van Heel, M. (2001). "Do single (ribosome) molecules phase themselves?" Cold Spring Harb Symp Quant Biol 66: 77-86.

Definition in file bflat.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 51 of file bflat.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bflat [options] input.img output.img",
"-------------------------------------------",
"Does phase extension by solvent flattening.",
"The amplitudes are defined in three possible mutually exclusive ways:",
"1. Derived from the input map (default).",
"2. Derived from a reference map.",
"3. Specified in an external amplitude map.",
" ",
"Actions:",
"-symmetrize C5           Apply point group symmetry.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-resolution 35,15.5,1.5  Resolution limit start, end and step (default 30,20,1).",
"-iterations 80           Iterations (default 1).",
"-exit 0.1                Exit condition based on amplitude RMSD (default 0.01).",
"-output 5                Number of iterations between writing output maps (default 100).",
" ",
"Input:",
"-Reference file.map      File to generate amplitudes from (default amplitudes from input map).",
"-Amplitudes file.map     File with amplitudes (default amplitudes from input map).",
"-Mask mask.tif           Mask file.",
" ",
NULL
}

Definition at line 22 of file bflat.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.